<?php

namespace Sabre\OTAAirSchedule;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'OTA_AirScheduleRQ' => '\\Sabre\\OTAAirSchedule\\Structs\\OTA_AirScheduleRQ',
            'OptionalQualifiers' => '\\Sabre\\OTAAirSchedule\\Structs\\OptionalQualifiers',
            'AdditionalAvailability' => '\\Sabre\\OTAAirSchedule\\Structs\\AdditionalAvailability',
            'FlightQualifiers' => '\\Sabre\\OTAAirSchedule\\Structs\\FlightQualifiers',
            'AlliancePartner' => '\\Sabre\\OTAAirSchedule\\Structs\\AlliancePartner',
            'Cabin' => '\\Sabre\\OTAAirSchedule\\Structs\\Cabin',
            'VendorPrefs' => '\\Sabre\\OTAAirSchedule\\Structs\\VendorPrefs',
            'Airline' => '\\Sabre\\OTAAirSchedule\\Structs\\Airline',
            'TimeQualifiers' => '\\Sabre\\OTAAirSchedule\\Structs\\TimeQualifiers',
            'ArrivalTime' => '\\Sabre\\OTAAirSchedule\\Structs\\ArrivalTime',
            'DepartureTime' => '\\Sabre\\OTAAirSchedule\\Structs\\DepartureTime',
            'OriginDestinationInformation' => '\\Sabre\\OTAAirSchedule\\Structs\\OriginDestinationInformation',
            'FlightSegment' => '\\Sabre\\OTAAirSchedule\\Structs\\FlightSegment',
            'ConnectionLocations' => '\\Sabre\\OTAAirSchedule\\Structs\\ConnectionLocations',
            'CarrierSpecificDisplay' => '\\Sabre\\OTAAirSchedule\\Structs\\CarrierSpecificDisplay',
            'LegOne' => '\\Sabre\\OTAAirSchedule\\Structs\\LegOne',
            'LegThree' => '\\Sabre\\OTAAirSchedule\\Structs\\LegThree',
            'LegTwo' => '\\Sabre\\OTAAirSchedule\\Structs\\LegTwo',
            'ConnectionLocation' => '\\Sabre\\OTAAirSchedule\\Structs\\ConnectionLocation',
            'ConnectTimeOverrides' => '\\Sabre\\OTAAirSchedule\\Structs\\ConnectTimeOverrides',
            'DestinationLocation' => '\\Sabre\\OTAAirSchedule\\Structs\\DestinationLocation',
            'OriginLocation' => '\\Sabre\\OTAAirSchedule\\Structs\\OriginLocation',
            'SabreHeader' => '\\Sabre\\OTAAirSchedule\\Structs\\SabreHeader',
            'DiagnosticResults' => '\\Sabre\\OTAAirSchedule\\Structs\\DiagnosticResults',
            'Diagnostics' => '\\Sabre\\OTAAirSchedule\\Structs\\Diagnostics',
            'Identification' => '\\Sabre\\OTAAirSchedule\\Structs\\Identification',
            'Identifier.System' => '\\Sabre\\OTAAirSchedule\\Structs\\Identifier_System',
            'Message.Condition' => '\\Sabre\\OTAAirSchedule\\Structs\\Message_Condition',
            'ProblemBase' => '\\Sabre\\OTAAirSchedule\\Structs\\ProblemBase',
            'ProblemSummary' => '\\Sabre\\OTAAirSchedule\\Structs\\ProblemSummary',
            'ResultSummary' => '\\Sabre\\OTAAirSchedule\\Structs\\ResultSummary',
            'Security' => '\\Sabre\\OTAAirSchedule\\Structs\\Security',
            'Service' => '\\Sabre\\OTAAirSchedule\\Structs\\Service',
            'Traces' => '\\Sabre\\OTAAirSchedule\\Structs\\Traces',
            'TraceRecord' => '\\Sabre\\OTAAirSchedule\\Structs\\TraceRecord',
            'TrackingID' => '\\Sabre\\OTAAirSchedule\\Structs\\TrackingID',
            'STL_Payload' => '\\Sabre\\OTAAirSchedule\\Structs\\STL_Payload',
            'Results' => '\\Sabre\\OTAAirSchedule\\Structs\\Results',
            'ApplicationResults' => '\\Sabre\\OTAAirSchedule\\Structs\\ApplicationResults',
            'ProblemInformation' => '\\Sabre\\OTAAirSchedule\\Structs\\ProblemInformation',
            'SystemSpecificResults' => '\\Sabre\\OTAAirSchedule\\Structs\\SystemSpecificResults',
            'HostCommand' => '\\Sabre\\OTAAirSchedule\\Structs\\HostCommand',
            'OTA_AirScheduleRS' => '\\Sabre\\OTAAirSchedule\\Structs\\OTA_AirScheduleRS',
            'OriginDestinationOptions' => '\\Sabre\\OTAAirSchedule\\Structs\\OriginDestinationOptions',
            'OriginDestinationOption' => '\\Sabre\\OTAAirSchedule\\Structs\\OriginDestinationOption',
            'BookingClassAvail' => '\\Sabre\\OTAAirSchedule\\Structs\\BookingClassAvail',
            'DaysOfOperation' => '\\Sabre\\OTAAirSchedule\\Structs\\DaysOfOperation',
            'OperationSchedule' => '\\Sabre\\OTAAirSchedule\\Structs\\OperationSchedule',
            'OperationTimes' => '\\Sabre\\OTAAirSchedule\\Structs\\OperationTimes',
            'OperationTime' => '\\Sabre\\OTAAirSchedule\\Structs\\OperationTime',
            'DisclosureAirline' => '\\Sabre\\OTAAirSchedule\\Structs\\DisclosureAirline',
            'Equipment' => '\\Sabre\\OTAAirSchedule\\Structs\\Equipment',
            'FlightDetails' => '\\Sabre\\OTAAirSchedule\\Structs\\FlightDetails',
            'MarketingAirline' => '\\Sabre\\OTAAirSchedule\\Structs\\MarketingAirline',
            'Meal' => '\\Sabre\\OTAAirSchedule\\Structs\\Meal',
            'OperatingAirline' => '\\Sabre\\OTAAirSchedule\\Structs\\OperatingAirline',
            'SignatureType' => '\\Sabre\\OTAAirSchedule\\Structs\\SignatureType',
            'SignatureValueType' => '\\Sabre\\OTAAirSchedule\\Structs\\SignatureValueType',
            'SignedInfoType' => '\\Sabre\\OTAAirSchedule\\Structs\\SignedInfoType',
            'CanonicalizationMethodType' => '\\Sabre\\OTAAirSchedule\\Structs\\CanonicalizationMethodType',
            'SignatureMethodType' => '\\Sabre\\OTAAirSchedule\\Structs\\SignatureMethodType',
            'ReferenceType' => '\\Sabre\\OTAAirSchedule\\Structs\\ReferenceType',
            'TransformsType' => '\\Sabre\\OTAAirSchedule\\Structs\\TransformsType',
            'TransformType' => '\\Sabre\\OTAAirSchedule\\Structs\\TransformType',
            'DigestMethodType' => '\\Sabre\\OTAAirSchedule\\Structs\\DigestMethodType',
            'KeyInfoType' => '\\Sabre\\OTAAirSchedule\\Structs\\KeyInfoType',
            'KeyValueType' => '\\Sabre\\OTAAirSchedule\\Structs\\KeyValueType',
            'RetrievalMethodType' => '\\Sabre\\OTAAirSchedule\\Structs\\RetrievalMethodType',
            'X509DataType' => '\\Sabre\\OTAAirSchedule\\Structs\\X509DataType',
            'X509IssuerSerialType' => '\\Sabre\\OTAAirSchedule\\Structs\\X509IssuerSerialType',
            'PGPDataType' => '\\Sabre\\OTAAirSchedule\\Structs\\PGPDataType',
            'SPKIDataType' => '\\Sabre\\OTAAirSchedule\\Structs\\SPKIDataType',
            'ObjectType' => '\\Sabre\\OTAAirSchedule\\Structs\\ObjectType',
            'ManifestType' => '\\Sabre\\OTAAirSchedule\\Structs\\ManifestType',
            'SignaturePropertiesType' => '\\Sabre\\OTAAirSchedule\\Structs\\SignaturePropertiesType',
            'SignaturePropertyType' => '\\Sabre\\OTAAirSchedule\\Structs\\SignaturePropertyType',
            'DSAKeyValueType' => '\\Sabre\\OTAAirSchedule\\Structs\\DSAKeyValueType',
            'RSAKeyValueType' => '\\Sabre\\OTAAirSchedule\\Structs\\RSAKeyValueType',
            'Envelope' => '\\Sabre\\OTAAirSchedule\\Structs\\Envelope',
            'Header' => '\\Sabre\\OTAAirSchedule\\Structs\\Header',
            'Body' => '\\Sabre\\OTAAirSchedule\\Structs\\Body',
            'Fault' => '\\Sabre\\OTAAirSchedule\\Structs\\Fault',
            'detail' => '\\Sabre\\OTAAirSchedule\\Structs\\Detail',
            'Manifest' => '\\Sabre\\OTAAirSchedule\\Structs\\Manifest',
            'Reference' => '\\Sabre\\OTAAirSchedule\\Structs\\Reference',
            'Schema' => '\\Sabre\\OTAAirSchedule\\Structs\\Schema',
            'MessageHeader' => '\\Sabre\\OTAAirSchedule\\Structs\\MessageHeader',
            'MessageData' => '\\Sabre\\OTAAirSchedule\\Structs\\MessageData',
            'SyncReply' => '\\Sabre\\OTAAirSchedule\\Structs\\SyncReply',
            'MessageOrder' => '\\Sabre\\OTAAirSchedule\\Structs\\MessageOrder',
            'AckRequested' => '\\Sabre\\OTAAirSchedule\\Structs\\AckRequested',
            'Acknowledgment' => '\\Sabre\\OTAAirSchedule\\Structs\\Acknowledgment',
            'ErrorList' => '\\Sabre\\OTAAirSchedule\\Structs\\ErrorList',
            'Error' => '\\Sabre\\OTAAirSchedule\\Structs\\Error',
            'StatusResponse' => '\\Sabre\\OTAAirSchedule\\Structs\\StatusResponse',
            'StatusRequest' => '\\Sabre\\OTAAirSchedule\\Structs\\StatusRequest',
            'sequenceNumber.type' => '\\Sabre\\OTAAirSchedule\\Structs\\SequenceNumber_type',
            'PartyId' => '\\Sabre\\OTAAirSchedule\\Structs\\PartyId',
            'To' => '\\Sabre\\OTAAirSchedule\\Structs\\To',
            'From' => '\\Sabre\\OTAAirSchedule\\Structs\\From',
            'Description' => '\\Sabre\\OTAAirSchedule\\Structs\\Description',
            'UsernameToken' => '\\Sabre\\OTAAirSchedule\\Structs\\UsernameToken',
        );
    }
}
