<?php

namespace Sabre\OTAAirSchedule\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Cabin Structs
 * @subpackage Structs
 */
class Cabin extends AbstractStructBase
{
    /**
     * The Designator
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * @var string[]
     */
    public $Designator;
    /**
     * The Exclude
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var bool
     */
    public $Exclude;
    /**
     * Constructor method for Cabin
     * @uses Cabin::setDesignator()
     * @uses Cabin::setExclude()
     * @param string[] $designator
     * @param bool $exclude
     */
    public function __construct(array $designator = array(), $exclude = null)
    {
        $this
            ->setDesignator($designator)
            ->setExclude($exclude);
    }
    /**
     * Get Designator value
     * @return string[]|null
     */
    public function getDesignator()
    {
        return $this->Designator;
    }
    /**
     * Set Designator value
     * @throws \InvalidArgumentException
     * @param string[] $designator
     * @return \Sabre\OTAAirSchedule\Structs\Cabin
     */
    public function setDesignator(array $designator = array())
    {
        $this->Designator = $designator;
        return $this;
    }
    /**
     * Add item to Designator value
     * @throws \InvalidArgumentException
     * @param string $item
     * @return \Sabre\OTAAirSchedule\Structs\Cabin
     */
    public function addToDesignator($item)
    {
        $this->Designator[] = $item;
        return $this;
    }
    /**
     * Get Exclude value
     * @return bool|null
     */
    public function getExclude()
    {
        return $this->Exclude;
    }
    /**
     * Set Exclude value
     * @param bool $exclude
     * @return \Sabre\OTAAirSchedule\Structs\Cabin
     */
    public function setExclude($exclude = null)
    {
        $this->Exclude = $exclude;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\OTAAirSchedule\Structs\Cabin
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
