<?php

namespace Sabre\OTAAirSchedule\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FlightQualifiers Structs
 * @subpackage Structs
 */
class FlightQualifiers extends AbstractStructBase
{
    /**
     * The AlliancePartner
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirSchedule\Structs\AlliancePartner
     */
    public $AlliancePartner;
    /**
     * The Cabin
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirSchedule\Structs\Cabin
     */
    public $Cabin;
    /**
     * The VendorPrefs
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirSchedule\Structs\VendorPrefs
     */
    public $VendorPrefs;
    /**
     * The Charters
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var bool
     */
    public $Charters;
    /**
     * The DirectOnly
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var bool
     */
    public $DirectOnly;
    /**
     * The ExcludeCodeshares
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var bool
     */
    public $ExcludeCodeshares;
    /**
     * The ExtendedSearch
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var bool
     */
    public $ExtendedSearch;
    /**
     * Constructor method for FlightQualifiers
     * @uses FlightQualifiers::setAlliancePartner()
     * @uses FlightQualifiers::setCabin()
     * @uses FlightQualifiers::setVendorPrefs()
     * @uses FlightQualifiers::setCharters()
     * @uses FlightQualifiers::setDirectOnly()
     * @uses FlightQualifiers::setExcludeCodeshares()
     * @uses FlightQualifiers::setExtendedSearch()
     * @param \Sabre\OTAAirSchedule\Structs\AlliancePartner $alliancePartner
     * @param \Sabre\OTAAirSchedule\Structs\Cabin $cabin
     * @param \Sabre\OTAAirSchedule\Structs\VendorPrefs $vendorPrefs
     * @param bool $charters
     * @param bool $directOnly
     * @param bool $excludeCodeshares
     * @param bool $extendedSearch
     */
    public function __construct(\Sabre\OTAAirSchedule\Structs\AlliancePartner $alliancePartner = null, \Sabre\OTAAirSchedule\Structs\Cabin $cabin = null, \Sabre\OTAAirSchedule\Structs\VendorPrefs $vendorPrefs = null, $charters = null, $directOnly = null, $excludeCodeshares = null, $extendedSearch = null)
    {
        $this
            ->setAlliancePartner($alliancePartner)
            ->setCabin($cabin)
            ->setVendorPrefs($vendorPrefs)
            ->setCharters($charters)
            ->setDirectOnly($directOnly)
            ->setExcludeCodeshares($excludeCodeshares)
            ->setExtendedSearch($extendedSearch);
    }
    /**
     * Get AlliancePartner value
     * @return \Sabre\OTAAirSchedule\Structs\AlliancePartner|null
     */
    public function getAlliancePartner()
    {
        return $this->AlliancePartner;
    }
    /**
     * Set AlliancePartner value
     * @param \Sabre\OTAAirSchedule\Structs\AlliancePartner $alliancePartner
     * @return \Sabre\OTAAirSchedule\Structs\FlightQualifiers
     */
    public function setAlliancePartner(\Sabre\OTAAirSchedule\Structs\AlliancePartner $alliancePartner = null)
    {
        $this->AlliancePartner = $alliancePartner;
        return $this;
    }
    /**
     * Get Cabin value
     * @return \Sabre\OTAAirSchedule\Structs\Cabin|null
     */
    public function getCabin()
    {
        return $this->Cabin;
    }
    /**
     * Set Cabin value
     * @param \Sabre\OTAAirSchedule\Structs\Cabin $cabin
     * @return \Sabre\OTAAirSchedule\Structs\FlightQualifiers
     */
    public function setCabin(\Sabre\OTAAirSchedule\Structs\Cabin $cabin = null)
    {
        $this->Cabin = $cabin;
        return $this;
    }
    /**
     * Get VendorPrefs value
     * @return \Sabre\OTAAirSchedule\Structs\VendorPrefs|null
     */
    public function getVendorPrefs()
    {
        return $this->VendorPrefs;
    }
    /**
     * Set VendorPrefs value
     * @param \Sabre\OTAAirSchedule\Structs\VendorPrefs $vendorPrefs
     * @return \Sabre\OTAAirSchedule\Structs\FlightQualifiers
     */
    public function setVendorPrefs(\Sabre\OTAAirSchedule\Structs\VendorPrefs $vendorPrefs = null)
    {
        $this->VendorPrefs = $vendorPrefs;
        return $this;
    }
    /**
     * Get Charters value
     * @return bool|null
     */
    public function getCharters()
    {
        return $this->Charters;
    }
    /**
     * Set Charters value
     * @param bool $charters
     * @return \Sabre\OTAAirSchedule\Structs\FlightQualifiers
     */
    public function setCharters($charters = null)
    {
        $this->Charters = $charters;
        return $this;
    }
    /**
     * Get DirectOnly value
     * @return bool|null
     */
    public function getDirectOnly()
    {
        return $this->DirectOnly;
    }
    /**
     * Set DirectOnly value
     * @param bool $directOnly
     * @return \Sabre\OTAAirSchedule\Structs\FlightQualifiers
     */
    public function setDirectOnly($directOnly = null)
    {
        $this->DirectOnly = $directOnly;
        return $this;
    }
    /**
     * Get ExcludeCodeshares value
     * @return bool|null
     */
    public function getExcludeCodeshares()
    {
        return $this->ExcludeCodeshares;
    }
    /**
     * Set ExcludeCodeshares value
     * @param bool $excludeCodeshares
     * @return \Sabre\OTAAirSchedule\Structs\FlightQualifiers
     */
    public function setExcludeCodeshares($excludeCodeshares = null)
    {
        $this->ExcludeCodeshares = $excludeCodeshares;
        return $this;
    }
    /**
     * Get ExtendedSearch value
     * @return bool|null
     */
    public function getExtendedSearch()
    {
        return $this->ExtendedSearch;
    }
    /**
     * Set ExtendedSearch value
     * @param bool $extendedSearch
     * @return \Sabre\OTAAirSchedule\Structs\FlightQualifiers
     */
    public function setExtendedSearch($extendedSearch = null)
    {
        $this->ExtendedSearch = $extendedSearch;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\OTAAirSchedule\Structs\FlightQualifiers
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
