<?php

namespace Sabre\OTAAirSchedule\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OTA_AirScheduleRQ Structs
 * @subpackage Structs
 */
class OTA_AirScheduleRQ extends AbstractStructBase
{
    /**
     * The Version
     * Meta informations extracted from the WSDL
     * - fixed: 2.1.0
     * - use: required
     * @var string
     */
    public $Version;
    /**
     * The OptionalQualifiers
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirSchedule\Structs\OptionalQualifiers
     */
    public $OptionalQualifiers;
    /**
     * The OriginDestinationInformation
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirSchedule\Structs\OriginDestinationInformation
     */
    public $OriginDestinationInformation;
    /**
     * The ReturnHostCommand
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var bool
     */
    public $ReturnHostCommand;
    /**
     * The TimeStamp
     * Meta informations extracted from the WSDL
     * - use: optional
     * - documentation: A date time type that forces both date and time to be specified. A year and seconds are allowed to be omitted. Example formats: "yyyy-mm-ddThh:mm:ss", "mm-ddThh:mm:ss", "mm-ddThh:mm", "yyyy-mm-ddThh:mm"
     * - pattern:
     * (((((0[1-9])|(1[0-2]))-((0[1-9])|(1\d)|(2[0-9])))|((((0[13578])|(1[02]))-31)|(((0[1,3-9])|(1[0-2]))-30)))|(((19|20)(([02468][048])|([13579][26]))-02-29))|((20[0-9][0-9])|(19[0-9][0-9]))-((((0[1-9])|(1[0-2]))-((0[1-9])|(1\d)|(2[0-8])))|((((0[13578])|(
     * 1[02]))-31)|(((0[1,3-9])|(1[0-2]))-(29|30)))))T([0-1][0-9]|[2][0-3])(:([0-5][0-9])){1,2}
     * @var string
     */
    public $TimeStamp;
    /**
     * Constructor method for OTA_AirScheduleRQ
     * @uses OTA_AirScheduleRQ::setVersion()
     * @uses OTA_AirScheduleRQ::setOptionalQualifiers()
     * @uses OTA_AirScheduleRQ::setOriginDestinationInformation()
     * @uses OTA_AirScheduleRQ::setReturnHostCommand()
     * @uses OTA_AirScheduleRQ::setTimeStamp()
     * @param string $version
     * @param \Sabre\OTAAirSchedule\Structs\OptionalQualifiers $optionalQualifiers
     * @param \Sabre\OTAAirSchedule\Structs\OriginDestinationInformation $originDestinationInformation
     * @param bool $returnHostCommand
     * @param string $timeStamp
     */
    public function __construct($version = null, \Sabre\OTAAirSchedule\Structs\OptionalQualifiers $optionalQualifiers = null, \Sabre\OTAAirSchedule\Structs\OriginDestinationInformation $originDestinationInformation = null, $returnHostCommand = null, $timeStamp = null)
    {
        $this
            ->setVersion($version)
            ->setOptionalQualifiers($optionalQualifiers)
            ->setOriginDestinationInformation($originDestinationInformation)
            ->setReturnHostCommand($returnHostCommand)
            ->setTimeStamp($timeStamp);
    }
    /**
     * Get Version value
     * @return string
     */
    public function getVersion()
    {
        return $this->Version;
    }
    /**
     * Set Version value
     * @param string $version
     * @return \Sabre\OTAAirSchedule\Structs\OTA_AirScheduleRQ
     */
    public function setVersion($version = null)
    {
        $this->Version = $version;
        return $this;
    }
    /**
     * Get OptionalQualifiers value
     * @return \Sabre\OTAAirSchedule\Structs\OptionalQualifiers|null
     */
    public function getOptionalQualifiers()
    {
        return $this->OptionalQualifiers;
    }
    /**
     * Set OptionalQualifiers value
     * @param \Sabre\OTAAirSchedule\Structs\OptionalQualifiers $optionalQualifiers
     * @return \Sabre\OTAAirSchedule\Structs\OTA_AirScheduleRQ
     */
    public function setOptionalQualifiers(\Sabre\OTAAirSchedule\Structs\OptionalQualifiers $optionalQualifiers = null)
    {
        $this->OptionalQualifiers = $optionalQualifiers;
        return $this;
    }
    /**
     * Get OriginDestinationInformation value
     * @return \Sabre\OTAAirSchedule\Structs\OriginDestinationInformation|null
     */
    public function getOriginDestinationInformation()
    {
        return $this->OriginDestinationInformation;
    }
    /**
     * Set OriginDestinationInformation value
     * @param \Sabre\OTAAirSchedule\Structs\OriginDestinationInformation $originDestinationInformation
     * @return \Sabre\OTAAirSchedule\Structs\OTA_AirScheduleRQ
     */
    public function setOriginDestinationInformation(\Sabre\OTAAirSchedule\Structs\OriginDestinationInformation $originDestinationInformation = null)
    {
        $this->OriginDestinationInformation = $originDestinationInformation;
        return $this;
    }
    /**
     * Get ReturnHostCommand value
     * @return bool|null
     */
    public function getReturnHostCommand()
    {
        return $this->ReturnHostCommand;
    }
    /**
     * Set ReturnHostCommand value
     * @param bool $returnHostCommand
     * @return \Sabre\OTAAirSchedule\Structs\OTA_AirScheduleRQ
     */
    public function setReturnHostCommand($returnHostCommand = null)
    {
        $this->ReturnHostCommand = $returnHostCommand;
        return $this;
    }
    /**
     * Get TimeStamp value
     * @return string|null
     */
    public function getTimeStamp()
    {
        return $this->TimeStamp;
    }
    /**
     * Set TimeStamp value
     * @param string $timeStamp
     * @return \Sabre\OTAAirSchedule\Structs\OTA_AirScheduleRQ
     */
    public function setTimeStamp($timeStamp = null)
    {
        $this->TimeStamp = $timeStamp;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\OTAAirSchedule\Structs\OTA_AirScheduleRQ
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
