<?php

namespace Sabre\OTAAirSchedule\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OTA_AirScheduleRS Structs
 * @subpackage Structs
 */
class OTA_AirScheduleRS extends AbstractStructBase
{
    /**
     * The ApplicationResults
     * Meta informations extracted from the WSDL
     * - ref: stl:ApplicationResults
     * @var \Sabre\OTAAirSchedule\Structs\ApplicationResults
     */
    public $ApplicationResults;
    /**
     * The OriginDestinationOptions
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \Sabre\OTAAirSchedule\Structs\OriginDestinationOptions
     */
    public $OriginDestinationOptions;
    /**
     * The Version
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $Version;
    /**
     * Constructor method for OTA_AirScheduleRS
     * @uses OTA_AirScheduleRS::setApplicationResults()
     * @uses OTA_AirScheduleRS::setOriginDestinationOptions()
     * @uses OTA_AirScheduleRS::setVersion()
     * @param \Sabre\OTAAirSchedule\Structs\ApplicationResults $applicationResults
     * @param \Sabre\OTAAirSchedule\Structs\OriginDestinationOptions $originDestinationOptions
     * @param string $version
     */
    public function __construct(\Sabre\OTAAirSchedule\Structs\ApplicationResults $applicationResults = null, \Sabre\OTAAirSchedule\Structs\OriginDestinationOptions $originDestinationOptions = null, $version = null)
    {
        $this
            ->setApplicationResults($applicationResults)
            ->setOriginDestinationOptions($originDestinationOptions)
            ->setVersion($version);
    }
    /**
     * Get ApplicationResults value
     * @return \Sabre\OTAAirSchedule\Structs\ApplicationResults|null
     */
    public function getApplicationResults()
    {
        return $this->ApplicationResults;
    }
    /**
     * Set ApplicationResults value
     * @param \Sabre\OTAAirSchedule\Structs\ApplicationResults $applicationResults
     * @return \Sabre\OTAAirSchedule\Structs\OTA_AirScheduleRS
     */
    public function setApplicationResults(\Sabre\OTAAirSchedule\Structs\ApplicationResults $applicationResults = null)
    {
        $this->ApplicationResults = $applicationResults;
        return $this;
    }
    /**
     * Get OriginDestinationOptions value
     * @return \Sabre\OTAAirSchedule\Structs\OriginDestinationOptions|null
     */
    public function getOriginDestinationOptions()
    {
        return $this->OriginDestinationOptions;
    }
    /**
     * Set OriginDestinationOptions value
     * @param \Sabre\OTAAirSchedule\Structs\OriginDestinationOptions $originDestinationOptions
     * @return \Sabre\OTAAirSchedule\Structs\OTA_AirScheduleRS
     */
    public function setOriginDestinationOptions(\Sabre\OTAAirSchedule\Structs\OriginDestinationOptions $originDestinationOptions = null)
    {
        $this->OriginDestinationOptions = $originDestinationOptions;
        return $this;
    }
    /**
     * Get Version value
     * @return string|null
     */
    public function getVersion()
    {
        return $this->Version;
    }
    /**
     * Set Version value
     * @param string $version
     * @return \Sabre\OTAAirSchedule\Structs\OTA_AirScheduleRS
     */
    public function setVersion($version = null)
    {
        $this->Version = $version;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\OTAAirSchedule\Structs\OTA_AirScheduleRS
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
