<?php

namespace Sabre\OTAAirSchedule\Structs;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for OriginDestinationOption Structs
 * @subpackage Structs
 */
class OriginDestinationOption extends AbstractStructBase
{
    /**
     * The FlightSegment
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \Sabre\OTAAirSchedule\Structs\FlightSegment[]
     */
    public $FlightSegment;
    /**
     * The RPH
     * Meta informations extracted from the WSDL
     * - use: optional
     * @var string
     */
    public $RPH;
    /**
     * Constructor method for OriginDestinationOption
     * @uses OriginDestinationOption::setFlightSegment()
     * @uses OriginDestinationOption::setRPH()
     * @param \Sabre\OTAAirSchedule\Structs\FlightSegment[] $flightSegment
     * @param string $rPH
     */
    public function __construct(array $flightSegment = array(), $rPH = null)
    {
        $this
            ->setFlightSegment($flightSegment)
            ->setRPH($rPH);
    }
    /**
     * Get FlightSegment value
     * @return \Sabre\OTAAirSchedule\Structs\FlightSegment[]|null
     */
    public function getFlightSegment()
    {
        return $this->FlightSegment;
    }
    /**
     * Set FlightSegment value
     * @throws \InvalidArgumentException
     * @param \Sabre\OTAAirSchedule\Structs\FlightSegment[] $flightSegment
     * @return \Sabre\OTAAirSchedule\Structs\OriginDestinationOption
     */
    public function setFlightSegment(array $flightSegment = array())
    {
        $this->FlightSegment = $flightSegment;
        return $this;
    }
    /**
     * Add item to FlightSegment value
     * @throws \InvalidArgumentException
     * @param \Sabre\OTAAirSchedule\Structs\FlightSegment $item
     * @return \Sabre\OTAAirSchedule\Structs\OriginDestinationOption
     */
    public function addToFlightSegment(\Sabre\OTAAirSchedule\Structs\FlightSegment $item)
    {
        $this->FlightSegment[] = $item;
        return $this;
    }
    /**
     * Get RPH value
     * @return string|null
     */
    public function getRPH()
    {
        return $this->RPH;
    }
    /**
     * Set RPH value
     * @param string $rPH
     * @return \Sabre\OTAAirSchedule\Structs\OriginDestinationOption
     */
    public function setRPH($rPH = null)
    {
        $this->RPH = $rPH;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Sabre\OTAAirSchedule\Structs\OriginDestinationOption
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
